<?php 
defined('_IN_JOHNCMS') or die('Error: restricted access');
$totalcat = mysql_result(mysql_query("SELECT COUNT(*) FROM `downpath` WHERE `refid` = '" . $cat ."'"), 0);

    if ($totalcat > 0) { 
        $zap = mysql_query("SELECT * FROM `downpath` WHERE `refid` = '" . $cat . "' ORDER BY `position`");
        $cachetime = time()-$down_setting['cachetime']*3600; // Время кэширования

        if(is_file('download/cache/'.$cat.'.dat') && filemtime('download/cache/'.$cat.'.dat') > $cachetime)
        { 
            $count_cache = file_get_contents('download/cache/'.$cat.'.dat');
            $count_cache = unserialize($count_cache); 
            $opencache = 'true'; 
        }else{ 
            $count_cache = array(); 
        } 
        $i = 0; 
        while ($zap2 = mysql_fetch_array($zap)) 
        { 
            //echo ($i % 2) ? '<div class="menu">' : '<div class="menu">';
            ++$i; 
            if(!$count_cache[$zap2['id']]) 
            { 
                ////////// счётчики ////////// 
                $countf = mysql_result(mysql_query("SELECT COUNT(*) FROM `downfiles` WHERE `type` != 1 AND `status` = 1 && `way` LIKE '" . $zap2['way'] ."%' "), 0);
                $old = time() - (3 * 24 * 3600); 
                $countnf = mysql_result(mysql_query("SELECT COUNT(*) FROM `downfiles` WHERE `type` != 1 AND `status` = 1 && `time` > '".$old."' && `way` LIKE '" . $zap2['way'] ."%' "), 0);

                //$countp = mysql_result(mysql_query("SELECT COUNT(*) FROM `downpath` WHERE `way` LIKE '" . $zap2['way'] ."%';"), 0);
                //$countp--; // Счётчик папок. Раскомментировать если нужен.

                if($countnf){ $countnf = '/<span class="red">+'.$countnf.'</span>'; }else{ $countnf = ''; }
                $count_cache[$zap2['id']] = $countf.$countnf; // Сюда вставлять $countp если нужен счётчик папок.
            } 
echo '<a href="/download/dir_' . $zap2['id'] . '.html" style="display:block;" class="menu strl">' .functions::image('muz1.png'). '' . $zap2['name'] .'&#160;('.$count_cache[$zap2['id']].')</a>';
        //    echo'</div>'; 
        } 
         
        //// Создаём файл с кэшем если он устарел или его нет ////
        if(!$opencache && $arr = fopen('download/cache/'.$cat.'.dat', "w")){ 
        fwrite($arr, serialize($count_cache)); 
        fclose($arr); 
        //echo 'Кэш обновлен или создан!'; 
        } 

    } 
?>